Wednesday, 27 September 2017

Box of Broadcasts - Supported Browsers

We are aware that a small number of users are trying to access Box of Broadcasts using Internet Explorer 10, and some other outdated unsupported browsers, which may appear to work at first, but will invariably interrupt playback of BoB content after 9 seconds. 

The supplier for this resource recommends the following browsers for BoB: 

            • Internet Explorer 11 (or later)
            • Edge 12 (or later)
            • Mozilla Firefox 44 (or later)
            • Safari 8 (or later)
            • Google Chrome 48 (or later)

Don't forget to check Library Search for all your Library needs.


No comments:

Post a Comment